export declare const column: ({
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            hide: boolean;
            multiple: boolean;
            disabled: boolean;
            input: {
                maxLength: number;
            };
            textarea: {
                default: string;
            };
            titleDisabled: boolean;
            checked: boolean;
            collaboratorRoles: null;
            pushMsg: boolean;
            require: boolean;
            default: string;
            typeDisabled: boolean;
            aliasDisabled: boolean;
            attrDisabled: boolean;
            fieldSearch: {
                sort: number;
                type: string;
            };
            isSearch: boolean;
            required: boolean;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            required: boolean;
            disabled: boolean;
            require: boolean;
            hide: boolean;
            multiple: boolean;
            checked: boolean;
            collaboratorRoles: null;
            default: string;
            pushMsg: boolean;
            textarea: {
                default: string;
            };
            input?: undefined;
            titleDisabled?: undefined;
            typeDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            fieldSearch?: undefined;
            isSearch?: undefined;
        };
        refSetting: null;
    };
} | {
    name: string;
    label: string;
    aliasTitle: string;
    description: string;
    isSys: boolean;
    isOrg: boolean;
    writable: boolean;
    editable: boolean;
    unique: boolean;
    uniquePreHandler: string;
    sensitiveStrategy: string;
    sensitiveFlag: number;
    field: {
        type: string;
        customType: string;
        dataType: string;
        props: {
            input: {
                maxLength?: undefined;
            };
            disabled: boolean;
            multiple: boolean;
            hide: boolean;
            required: boolean;
            checked: boolean;
            pushMsg: boolean;
            require: boolean;
            collaboratorRoles: null;
            textarea?: undefined;
            titleDisabled?: undefined;
            default?: undefined;
            typeDisabled?: undefined;
            aliasDisabled?: undefined;
            attrDisabled?: undefined;
            fieldSearch?: undefined;
            isSearch?: undefined;
        };
        refSetting: null;
    };
})[];
export declare const dataSource: ({
    id: number;
    parentId: number;
    projectId: number;
    status: number;
    issueId: number;
    recycleFlag: number;
    updateTime: string;
    path: string;
    createTime: string;
    _field_1589826327819587584: null;
    title: string;
    delFlag: number;
    orgId: number;
    _field_1589826233544216576: null;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    creator: {
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
    };
    code: string;
    appIds: string[];
    tableId: string;
    order: string;
    dataId: string;
    collaborators?: undefined;
    _field_1667808751149?: undefined;
} | {
    id: number;
    code: string;
    delFlag: number;
    parentId: number;
    _field_1589826233544216576: null;
    tableId: string;
    status: number;
    updateTime: string;
    updator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    collaborators: {};
    order: string;
    dataId: string;
    issueId: number;
    recycleFlag: number;
    orgId: number;
    path: string;
    creator: {
        type: string;
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
    };
    title: string;
    appIds: string[];
    createTime: string;
    projectId: number;
    _field_1589826327819587584: null;
    _field_1667808751149?: undefined;
} | {
    createTime: string;
    status: number;
    code: string;
    _field_1667808751149: string;
    issueId: number;
    updateTime: string;
    parentId: number;
    path: string;
    _field_1589826233544216576: null;
    tableId: string;
    id: number;
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    projectId: number;
    recycleFlag: number;
    appIds: string[];
    orgId: number;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    _field_1589826327819587584: null;
    order: string;
    dataId: string;
    title: string;
    delFlag: number;
    collaborators?: undefined;
} | {
    creator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    updateTime: string;
    title: string;
    tableId: string;
    issueId: number;
    parentId: number;
    updator: {
        status: number;
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
    };
    order: string;
    status: number;
    dataId: string;
    delFlag: number;
    orgId: number;
    projectId: number;
    _field_1589826327819587584: null;
    _field_1589826233544216576: null;
    createTime: string;
    id: number;
    code: string;
    recycleFlag: number;
    _field_1667808751149: string;
    path: string;
    appIds: string[];
    collaborators: {};
} | {
    updateTime: string;
    dataId: string;
    orgId: number;
    path: string;
    appIds: string[];
    id: number;
    creator: {
        isDelete: number;
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
    };
    recycleFlag: number;
    delFlag: number;
    _field_1667808751149: string;
    createTime: string;
    tableId: string;
    projectId: number;
    status: number;
    title: string;
    parentId: number;
    updator: {
        id: string;
        name: string;
        avatar: string;
        type: string;
        status: number;
        isDelete: number;
    };
    issueId: number;
    code: string;
    order: string;
    _field_1589826327819587584?: undefined;
    _field_1589826233544216576?: undefined;
    collaborators?: undefined;
})[];
